Class | ActiveSupport::Cache::MemCacheStore
In: | lib/active_support/cache/mem_cache_store.rb
Parent: | Store

A cache store implementation which stores data in Memcached: www.danga.com/memcached/

This is currently the most popular cache store for production websites.

Special features:

- Clustering and load balancing. One can specify multiple memcached servers, and MemCacheStore will load balance between all available servers. If a server goes down, then MemCacheStore will ignore it until it goes back online.
- Time-based expiry support. See write and the +:expires_in+ option.
- Per-request in memory cache for all communication with the MemCache server(s).

### Methods

clear new stats write

### Attributes

addresses | [R] |

### Public Class methods

new(*addresses)

Creates a new MemCacheStore object, with the given memcached server addresses. Each address is either a host name, or a host-with-port string in the form of "host_name:port". For example:

      ActiveSupport::Cache::MemCacheStore.new("localhost", "server-downstairs.localnetwork:8229")

If no addresses are specified, then MemCacheStore will connect to localhost port 11211 (the default memcached port).

### Public Instance methods

clear()
stats()
write(key, value, options = nil)

Writes a value to the cache.

Possible options:

- +:unless_exist+ - set to true if you don‘t want to update the cache if the key is already set.
- +:expires_in+ - the number of seconds that this value may stay in the cache. See ActiveSupport::Cache::Store#write for an example.

[Validate]